Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.builtin.response
Interface BooleanResponse

All Superinterfaces:
  Confirmation, KBResponse, Response

    public interface BooleanResponse

extends KBResponse

Represents an OWLlink BooleanResponse. It encapsulated also the UnknownResponse: if an OWLlink server answers with an UnknownResponse instead of a BooleanResponse a BooleanResponse JAVA object will be created which returns `true` for `isUnknown()` and throws an `UnknownResponse` if `getResult()` is called.

Author:
  Olaf Noppens

Method Summary
`java.lang.Boolean` | `getResult()` Returns the boolean result.
`boolean` | `isUnknown()` Returns `true` if this response encapsulates an OWLlink UnknownResponse, otherwise `true`.

Methods inherited from interface org.semanticweb.owlapi.owllink.builtin.response.Confirmation
`getWarning, hasWarning`

Methods inherited from interface org.semanticweb.owlapi.owllink.builtin.Response
`accept`

Method Detail

### getResult

    java.lang.Boolean getResult()
                                throws UnknownResponseException

  Returns the boolean result. If the result is unknown (according to the OWLlinkSpec this represents an UnknownResponse from OWLlink) an UnknownResponseException will be thrown.

  Returns:
    result
  Throws:
    `UnknownResponseException` - in case of an OWLlink UnknownResponse instead of an OWLlink BooleanResponse.
  See Also:
    `isUnknown()`

### isUnknown

    boolean isUnknown()

  Returns `true` if this response encapsulates an OWLlink UnknownResponse, otherwise `true`.

  Returns:
    `true` if this response encapsulates an OWLlink UnknownResponse, otherwise `true`
  See Also:
    `getResult()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD